Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.javax.xml.xquery
Interface XQResultSequence

All Superinterfaces:
  XQItemAccessor, XQSequence

All Known Implementing Classes:
  SaxonXQForwardSequence, SaxonXQSequence

    public interface XQResultSequence

extends XQItemAccessor, XQSequence

XQJ interfaces reconstructed from version 0.5 documentation

Method Summary
`void` | `clearWarnings()`
`XQConnection` | `getConnection()`
`XQWarning` | `getWarnings()`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQSequence
`absolute, afterLast, beforeFirst, close, count, first, getItem, getPosition, getSequenceAsStream, getSequenceAsString, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, isOnItem, isScrollable, last, next, previous, relative, writeSequence, writeSequence, writeSequenceToSAX`

Method Detail

### clearWarnings

    void clearWarnings()

### getConnection

    XQConnection getConnection()

### getWarnings

    XQWarning getWarnings()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.